function show_vlan(ch) {
    if (!ch) {
        $("#vlan_id").hide();
        $("#vlan_prio").hide();
    } else {
        $("#vlan_id").show();
        $("#vlan_prio").show();
    }
}
function hide_netconfig(ch) {
    if (!ch) {
        $("#lan_ipaddr").hide();
        $("#lan_netmask").hide();
        $("#lan_gateway").hide();
        $("#lan_mtusize").hide();
    } else {
        $("#lan_ipaddr").show();
        $("#lan_netmask").show();
        $("#lan_gateway").show();
    }
}
function hide_wan(ch) {
    if (!ch) {
        $("#wan-ipaddr-tr").hide();
        $("#wan-netmask-tr").hide();
        $("#wan-gateway-tr").hide();
    } else {
        $("#wan-ipaddr-tr").show();
        $("#wan-netmask-tr").show();
        $("#wan-gateway-tr").show();
    }
}

function mode() {
    hide_netconfig($("#lan_static").prop("checked"));
    hide_wan($("#wan-static").prop("checked"));
    switch ($("select[name='lan-mode'] option:selected").val()) {
        case 'single':
            $("#bonding").hide();
            $("#wan").hide();
            $("#lan-dhcp-tr").show();
            //$("#lan_gateway").show();
            $("#header-lan").show();
            $("#header-bonding").hide();
            $("input[name='dhcp']").prop("disabled",false);
            
            break;
        case 'lan-wan':
            $("#wan").show();
            $("#bonding").hide();
            $("input[name='dhcp']").prop("disabled",true);
            $("#lan-dhcp-tr").hide();
            $("#lan_gateway").hide();
            $("#lan_ipaddr").show();
            $("#lan_netmask").show();
            $("#lan_dns1").show();
            $("#lan_dns2").show();
            $("#header-lan").show();
            $("#header-bonding").hide();
            break;
        case 'bonding':
            $("#bonding").show();
            $("#wan").hide();
            $("#lan-dhcp-tr").show();
            $("input[name='dhcp']").prop("disabled",false);
            $("#lan_gateway").show();
            $("#header-lan").hide();
            $("#header-bonding").show();
            break;
        default :
            $("#bonding").hide();
            $("#wan").hide();
            $("#lan-dhcp-tr").show();
            $("input[name='dhcp']").prop("disabled",false);
            //$("#lan_gateway").show();
            $("#header-lan").show();
            $("#header-bonding").hide();
            break;
    }
    
}



$(document).ready(function () {
    $("#networkform").validate({
        rules: {
            lan_mtu: {
                digits: true,
                range: [150, 1500]
            },
            vlanid: {
                digits: true,
                required: true,
                range: [1, 4094]
            },
            ipaddr: {
                verifyIP: true,
                required: true
            },
            lan_nameserver: {
                verifyIP: true,
                required: {
                    depends: function (element) {
                        return $("#lan_nameserver2").is(":filled");
                    }
                }
            },
            lan_nameserver2: {
                verifyIP: true,
            },
            gateway: {
                verifyIP: true,
                required: true
            },
            netmask: {
                verifyIP: true,
                required: true
            },
            'bonding-miimon': {
                digits: true,
            },
            'bonding-updelay': {
                digits: true,
            },
            'bonding-downdelay': {
                digits: true,
            },
            'wan-ipaddr': {
                verifyIP: true,
                required: true
            },
            'wan-netmask': {
                verifyIP: true,
                required: true
            },
            'wan-gateway': {
                verifyIP: true,
                required: true
            },
	    hostname: {
	        checkHostname: true,
	   },
        }
    });
    show_vlan($("#vlanenable").prop("checked"));
    mode();
    $("#add_route_button").click(function () {
        $("#add_route").before("<div class='form-group'>" +
                "<label for='route_net[]' class='col-sm-5 control-label'>Route target</label>"+
		"<div class='col-sm-7'>"+
		"<input name=\'route_net[]\' verifyIP=\'true\' class=\'net form-control input-sm\' style=\'width:60%; display:inline;\'>"+
		"&nbsp;/&nbsp;"+
		"<input name=\'route_netmask[]\' size=\'2\' class=\'netmask form-control input-sm\' digits=\'true\' style=\'width:20%; display:inline;\' required=\'true\' min=\'0\' max=\'32\' maxlength=\'2\'>"+
		"</div>"+
		"</div>"+
		"<div class='form-group'>"+
		"<label for='route_gateway[]' class='col-sm-5 control-label'>Route gateway</label>"+
		"<div class='col-sm-4'>"+
                "<input name=\'route_gateway[]\' verifyIP=\'true\' class=\'gateway form-control input-sm\' size=\'24\'>"+
                "</div>"+
                "</div>");
    });

    $("select[name='lan-mode']").change(function () {
        mode();
    });
});
